Skip to main content

Create a SAML Federation credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/saml-credentials

Since: 8.2511.0

Required permission(s): AccessControl.CredentialCreate,AccessControl.CredentialChangeState,AccessControl.CredentialView

Creates a new SAML Federation credential for the user identified by the given external IDs.

The request must include the subject NameID and its format (identifying the authenticated user in the SAML assertion) and the issuer NameID and its format (identifying the Identity Provider). All four fields are required.

If policyExtId is provided, the referenced policy must exist and be of type SamlFederationPolicy. If omitted, the default SAML Federation policy for the client is applied. The extId field is optional, if not provided, an external ID is generated automatically. The created credential's URL is returned in the Location response header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    External ID of the credential. If not provided, one is generated automatically.

    subjectNameId stringrequired

    Possible values: non-empty

    Identifies the subject of the SAML assertion (generally the user to be authenticated).

    subjectNameIdFormat stringrequired

    Possible values: non-empty

    The format of the subject's NameID. Aligns expectations between the identity provider and the service provider on how the subject is identified.

    issuerNameId stringrequired

    Possible values: non-empty

    Identifies the issuer of the SAML assertion (the Identity Provider).

    issuerNameIdFormat stringrequired

    Possible values: non-empty

    The format of the issuer's NameID. Aligns expectations between the identity provider and the service provider on how the issuer is identified.

    policyExtId string

    External ID of the policy to associate with this credential. If omitted, the default SAML Federation policy for the client is applied.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    Initial state of the credential.

Responses

SAML Federation credential created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...